Subject: bug#69809: closed (Re: bug#69809: 30.0.50; flymake: error in process sentinel)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Jan 2025 17:53:02 +0000

Your bug report

#69809: 30.0.50; flymake: error in process sentinel

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69809: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69809
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69809: 30.0.50; flymake: error in process sentinel
From: João Távora <[email-masked]>
To: Eli Zaretskii <[email-masked]>, [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 14 Jan 2025 17:52:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Jul 27, 2024 at 8:26 AM Eli Zaretskii <[email-masked]> wrote:

> Feel free to install the changes you think will fix this.  If you are
> not sure some changes are safe or tested enough, they should go to
> master, not the emacs-30.

I've pushed these changes to master after consulting with Spencer.

According to feedback up-thread they effectively fix the bug, so I'm closing it.

João

Subject: 30.0.50; flymake: error in process sentinel
From: Gerd Möllmann <[email-masked]>
To: [email-masked]
Date: Fri, 15 Mar 2024 08:09:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In master, I am sometimes getting errors like these:

  error in process sentinel: flymake--handle-report: Can’t find state for flymake-cc in ‘flymake--state’
  error in process sentinel: Can’t find state for flymake-cc in ‘flymake--state’
  error in process sentinel: flymake--handle-report: Can’t find state for flymake-cc in ‘flymake--state’
  error in process sentinel: Can’t find state for flymake-cc in ‘flymake--state’
  error in process sentinel: flymake--handle-report: Can’t find state for flymake-cc in ‘flymake--state’
  error in process sentinel: Can’t find state for flymake-cc in ‘flymake--state’

when working with C files.

I haven't configured anything for Flymake myself. I think Flymake gets
involved by using Eglot. The errors apparently don't prevent flymake
from working later on.

I have looked around in flymake docs and source, but I can't figure out
what's wrong.